Encryption when data store in local storage
27 April 2020 10:39 AM - chok yee fan

Status: Resolved Start date: 27 April 2020
Priority: Normal Due date:

Assignee: chok yee fan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

When use local storage, need to be encrypted and store in local storage.

Could refer GG/UG project how to do that.

History

#1 - 06 May 2020 09:39 AM - chok yee fan
- Assignee set to Shafiqah Rahni

#2 - 20 November 2020 11:57 AM - chok yee fan

- Assignee changed from Shafigah Rahni to Kee Yong Cheng

#3 - 20 November 2020 12:00 PM - chok yee fan

and implement the zip data size to be smaller.

could use

|z-string

https://pieroxy.net/blog/pages/Iz-string/index.html

#4 - 03 December 2020 10:16 AM - Kee Yong Cheng

- Status changed from New to Resolved

- Assignee changed from Kee Yong Cheng to chok yee fan

Revision: 200691
Author: intkeeyc
Date: Thursday, December 3, 2020 10:00:41 AM

Message:

Kee Yong Cheng: Encryption when data store in local storage using secure-Is

Modified
Modified
Modified
Modified
Modified
Modified

: /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/package.json

: /IS-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.html
: /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.ts

: /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/setting/setting.service.ts

: /IS-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/common.service.ts

: /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/sl-common/storage/local-storage.service.ts
https://pieroxy.net/blog/pages/lz-string/index.html

#5 - 06 January 2021 03:45 PM - chok yee fan

- Status changed from Resolved to Feedback

the method cannot be use by others, need to add the parameters let others class to use

#6 - 06 January 2021 03:46 PM - chok yee fan

- Assignee changed from chok yee fan to Kee Yong Cheng

#7 - 11 January 2021 12:02 PM - Kee Yong Cheng
- Status changed from Feedback to Resolved

- Assignee changed from Kee Yong Cheng to chok yee fan

Revision: 202470

Author: intkeeyc

Date: Monday, January 11, 2021 11:46:38 AM

Message:

Kee Yong Cheng: Encryption when data store in local storage

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/sl-common/storage/local-storage.service.ts
